Reschedule an email
Changes `scheduled_at` while the email is still `scheduled`.
PATCH
Changes scheduled_at while the email is still scheduled.
apiKeyheader
AuthorizationBearer <token>Authorization: Bearer chy_live_… (or chy_test_…). A live key may
be sending-only, and may be locked to one domain.
id*stringMatch
^em_application/json- body
scheduled_at*stringFormat
date-timeRescheduled.
application/json- response
id*stringstatus*stringscheduled_at*stringFormat
date-timeimport { CharchySend } from "@charchy/send"const send = new CharchySend() // reads CHARCHY_SEND_KEYconst { data, error } = await send.emails.update("em_8f2k1x9q4w7m3n5p6r0s2t4v", { scheduledAt: "2019-08-24T14:15:22Z" })Example Response
{ "id": "string", "status": "scheduled", "scheduled_at": "2019-08-24T14:15:22Z"}